#ifndef PAD_HPP
#define PAD_HPP

#include <oiran/linda/graphics.hpp>
#include "ball.hpp"


class pad_t
{
public:
	pad_t();

	void update();
	void draw(oiran::linda::graphics_t& g);
	bool collision_detection(ball_t& ball);

	double x() const { return M_x; }

private:
	double M_x;
};


#endif // PAD_HPP
