#include <GL/gl.h>
#include <GL/glu.h>
#include <stdexcept>
#include "gl.hpp"

namespace oiran { namespace linda {


	void
	check_gl_error()
	{
		GLenum code = glGetError();
		if(code != GL_NO_ERROR)
			throw std::runtime_error(
					reinterpret_cast<const char*>(gluErrorString(code)));
	}


}} // namespace oiran::linda.
