#ifndef RESOURCE_HPP
#define RESOURCE_HPP

#include <oiran/singleton.hpp>
#include <oiran/linda/image.hpp>
#include <oiran/linda/mouse.hpp>
#include <oiran/linda/simple_font.hpp>
#include "defs.hpp"


struct resource_t : public oiran::singleton_t<resource_t>
{
	oiran::linda::image_t images[image_size];
	oiran::linda::mouse_t mouse;
	oiran::linda::simple_font_t font;
};


#endif // RESOURCE_HPP
