#include "scene.hpp"


oiran::linda::scene_t*
scene_manager_t::create(int id)
{
	if(scene_stage_list <= id && id < scene_stage_list + max_stage)
		return new scene_stage_list_t(this, id - scene_stage_list);

	if(scene_stage <= id && id < scene_stage + max_stage)
		return new scene_stage_t(id - scene_stage);

	if(scene_edit <= id && id < scene_edit + max_stage)
		return new scene_edit_t(id - scene_edit);

	return 0;
}
